Get sharable link of LQA reports
curl --request GET \
--url https://cloud.memsource.com/web/api2/v1/lqa/assessments/reports/link \
--header 'Authorization: <api-key>'import requests
url = "https://cloud.memsource.com/web/api2/v1/lqa/assessments/reports/link"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://cloud.memsource.com/web/api2/v1/lqa/assessments/reports/link', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"expires": "2023-11-07T05:31:56Z",
"size": 123,
"url": "<string>"
}Language Quality Assessment
Get sharable link of LQA reports
Returns exactly one time-limited download link covering all the supplied job parts — never one link per job part. The link resolves to a single XLSX when the request contains exactly one job part, or a single ZIP archive (one XLSX per job part) when it contains more than one.
GET
/
api2
/
v1
/
lqa
/
assessments
/
reports
/
link
Get sharable link of LQA reports
Authorizations
ApiTokenOAuth2
Get a token from auth/login endpoint and then pass it in the Authorization HTTP header in every subsequent API call. For more information visit our help center.
Query Parameters
Comma separated list of JobPart UIDs
Required string length:
1 - 2147483647Was this page helpful?